<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Tugas Array dan Object pada JavaScript</title>
</head>
<body>
    
    <!-- <button onclick="myFunction()">Try it</button>
    <p id="buah"></p> -->
    <p id="jawaban2"></p>
    
    <script>

        // no.1:

        var daftarBuah = ["2. Apel", "5. Jeruk", "3. Anggur", "4. Semangka", "1. Mangga"];
        
        daftarBuah.forEach(() => {
            daftarBuah.sort(function(a, b){
                return a-b;
            });
       
        });

        document.write("<ol>");
        //document.write("<li>");
        document.write(daftarBuah.sort());
        //document.write("</li>");
        
        document.write("</ol>"); 

        


        // no.2:

        var kalimat = "saya sangat senang belajar javascript"

        document.getElementById("jawaban2").innerHTML = kalimat;
        
        

        // no.3:
        
        function Buah(nama, warna, ada_bijinya, harga) {
            
            this.nama = nama;
            this.warna = warna;
            this.ada_bijinya = ada_bijinya;
            this.harga = harga;
            
        }

        var buah1 = new Buah('strawberry', 'merah', 'tidak', '9000');
        var buah2 = new Buah('jeruk', 'oranye', 'ada', '8000');
        var buah3 = new Buah('Semangka', 'Hijau & merah', 'ada', '10000');
        var buah4 = new Buah('Pisang', 'kuning', 'tidak', '5000');
        
        console.log(buah1);

    
        // 1. nama: strawberry
        //    warna: merah
        //    ada bijinya: tidak
        //    harga: 9000 
        // 2. nama: jeruk
        //    warna: oranye
        //    ada bijinya: ada
        //    harga: 8000
        // 3. nama: Semangka
        //    warna: Hijau & Merah
        //    ada bijinya: ada
        //    harga: 10000
        // 4. nama: Pisang
        //    warna: Kuning
        //    ada bijinya: tidak
        //    harga: 5000
    </script>
</body>
</html>